/*
  a default standalone player.
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#include "kmpgStandAlone.h"


static int instanz=0;


KmpgStandAlone::KmpgStandAlone() {
}


KmpgStandAlone::~KmpgStandAlone() {
}


KmpgRootWindow* KmpgStandAlone::create(int playerType) {
  YafAmplifier* amplifier;
  GenericStreamProducer* decoder;
  KmpgRootWindow* rootWindow;
  KmpgPlayer* player;
 
  amplifier=new YafAmplifier();

  // The question who owns these pointers is not decided yet!
  // memory leak!
  decoder=amplifier->createDecoder(_MP3_DECODER);
  rootWindow=new KmpgRootWindow();
  player=new KmpgPlayer(rootWindow);

  // here the gui part: (1st player)
  rootWindow->setGeometry(100+20*instanz,100+20*instanz,280,110);
  rootWindow->setPlayer(player);

  player->setGenericStreamProducer(decoder);
  rootWindow->connect(rootWindow,SIGNAL(open(KURL*)),player,SLOT(open(KURL*)));

  instanz++;
  delete amplifier;

  return rootWindow;
}


